Subject: Re: bug#17156: [PATCH 2/5] Revert conversion to shell scripts

From: Paul Eggert <[email-masked]>
Date: Tue, 01 Apr 2014 07:54:37 -0700

Paolo Bonzini wrote:

> Even though egrep and fgrep have been deprecated, most users
> will be using them instead of grep -E and -F, on MS Windows systems
> too where the native command shell is used.

That's not my experience; more and more, people are using grep -E and 
-F.  Regardless, people who lack working shells can switch to grep -E 
and -F, which is what they're supposed to have been doing for decades 
anyway.

If you want these backward-compatibility hacks to be executables rather 
than shell scripts, please make them separate little programs that 
simply do an execlp of 'grep'.  We shouldn't keep going on like we were 
doing, with a tricky setup within 'grep' itself that was a maintenance 
hassle and had subtle bugs.  We should have separation of concerns: the 
'egrep' and 'fgrep' parts should be cleanly separated from the main part 
of 'grep'.